# HtmlHelper::VerifyForm
# Copyright (C) 2000 by Michael D. Stemle, Jr.
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
# 
# Michael D. Stemle, Jr. - mikes@gnurds.org

package HtmlHelper::VerifyForm;
$VERSION = "0.1.0";
@ISA = qw(HtmlHelper);
use Class::MethodMaker
	'get_set' => [
		qw(
			itemStash
			js_verifyFunc
		)
	];

sub new
{
	my $class = shift;
	my $self = {};

	bless ($self, $class);

	$self->itemStash ({undef});
	return $self;
}

sub addItem
{
	my $self = shift;
	my $name = shift;
	my $type = shift;
	my $errmsg = shift;
	my $temp;
	my $obj;

	$temp = $self->itemStash ();
	$obj = new HtmlHelper::VerifyForm::Item ($name, $type, $errmsg);
	$temp->{$name} = $obj;
	$self->itemStash ($temp);
	return;
}

package HtmlHelper::VerifyForm::Item;
$VERSION = "0.1.0";
@ISA = qw(HtmlHelper HtmlHelper::VerifyForm);
# This is for the different form verification types.
use enum qw(
	LENGTH
	EXIST
	NUMBER
);
use Class::MethodMaker
	'get_set' => [
		qw(
			name
			type
			errmsg
			js
		)
	];

sub new
{
	my $class = shift;
	my $name = shift;
	my $type = shift;
	my $errmsg = shift;
	my $self = {};

	bless ($self, $class);

	$self->name ($name);
	if ($type =~ /length/i)
	{
		$self->type (LENGTH);
	}
	elsif ($type =~ /number/i)
	{
		$self->type (NUMBER);
	}
	else
	{
		$self->type (EXIST);
	}
	$self->errmsg ($errmsg);
	return $self;
}

sub getJs
{
	my $self = shift;
	my $js;



return 1;
